Package org.apache.lucene.index

## Class DocIDMerger.Sub

- java.lang.Object
- - org.apache.lucene.index.DocIDMerger.Sub

- Enclosing class:
    DocIDMerger<T extends DocIDMerger.Sub>

      public abstract static class DocIDMerger.Sub
      extends Object

  Represents one sub-reader being merged

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `MergeState.DocMap` | `docMap` | Map from old to new doc IDs
    `int` | `mappedDocID` | Mapped doc ID

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Sub​(MergeState.DocMap docMap)` | Sole constructor

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract int` | `nextDoc()` | Returns the next document ID from this sub reader, and `DocIdSetIterator.NO_MORE_DOCS` when done
    `int` | `nextMappedDoc()` | Like `nextDoc()` but skips over unmapped docs and returns the next mapped doc ID, or `DocIdSetIterator.NO_MORE_DOCS` when exhausted.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mappedDocID

          public int mappedDocID

      Mapped doc ID

    - #### docMap

          public final MergeState.DocMap docMap

      Map from old to new doc IDs

  - ### Constructor Detail

    - #### Sub

          protected Sub​(MergeState.DocMap docMap)

      Sole constructor

  - ### Method Detail

    - #### nextDoc

          public abstract int nextDoc()
                               throws IOException

      Returns the next document ID from this sub reader, and `DocIdSetIterator.NO_MORE_DOCS` when done
      Throws:
        `IOException`

    - #### nextMappedDoc

          public final int nextMappedDoc()
                                  throws IOException

      Like `nextDoc()` but skips over unmapped docs and returns the next mapped doc ID, or `DocIdSetIterator.NO_MORE_DOCS` when exhausted. This method sets `mappedDocID` as a side effect.
      Throws:
        `IOException`